<IfModule !unique_id_module>
  LoadModule unique_id_module modules/mod_unique_id.so
</IfModule>
<IfModule !wsgi_module>
  LoadModule wsgi_module modules/mod_wsgi.so
</IfModule>
<IfModule !authn_core_module>
  LoadModule authn_core_module modules/mod_authn_core.so
</IfModule>
<IfModule !cache_disk_module>
  LoadModule cache_disk_module modules/mod_cache_disk.so
</IfModule>

CacheEnable disk /
CacheRoot /tmp

Listen 80

WSGIRestrictEmbedded On
WSGIDaemonProcess rucio processes=4 threads=4
WSGIApplicationGroup rucio

<VirtualHost *:80>
  ServerAdmin {{httpd.ServerAdmin}}
  ServerAlias {{httpd.ServerAlias}}
  ServerName {{httpd.ServerName}}

  SSLEngine Off
  SSLCertificateFile {{httpd.mountPath}}/{{httpd.hostcert}}
  SSLCertificateKeyFile {{httpd.mountPath}}/{{httpd.hostkey}}
  SSLCACertificatePath {{httpd.ca_cert}}
  SSLVerifyClient optional_no_ca
  SSLVerifyDepth 10
  SSLOptions +StdEnvVars
 
  LogLevel debug
  ErrorLog /var/log/rucio/httpd_error_log
  TransferLog /var/log/rucio/httpd_access_log

  AllowEncodedSlashes on

  Include /opt/rucio/etc/web/aliases-py27.conf


</VirtualHost>

